# OgreRefApp Namespace Reference

## Classes

class | ApplicationObject
| This object is the base class for all discrete objects in the application. More...
struct | ApplicationObject::CollisionInfo
| Contains information about a collision; used in the _notifyCollided call. More...
class | Ball
class | Box
class | CollideCamera
| A camera which can interact with the world. More...
class | Joint
| Represents a linkage between application objects or between them and the world, enforcing certain constraints. More...
class | BallJoint
| Implementation of ball joint. More...
class | SliderJoint
| Implementation of slider joint. More...
class | HingeJoint
| Implementation of hinge joint. More...
class | UniversalJoint
| Implementation of universal joint. More...
class | Hinge2Joint
| Implementation of hinge2 joint. More...
class | OgreHead
class | FinitePlane
class | World

## Functions

void | OgreToOde (const Matrix3 &ogre, dMatrix3 &ode)

## Function Documentation

void OgreToOde | ( | const Matrix3 & | ogre,
|  | dMatrix3 & | ode
| ) |

| Definition at line 55 of file OgreRefAppPrerequisites.h.

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Feb 12 13:11:27 2006